## ros-kinetic-robot-statemachine 1.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robot_statemachine)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-robot-statemachine (1.1.3-1xenial) xenial; urgency=high

  * Added all dependencies to CMakeLists and package.xml, that were missing previously
  * Contributors: MarcoStb1993

 -- Marco Steinbrink <marco.stb1993@gmail.de>  Wed, 28 Aug 2019 22:00:00 -0000

ros-kinetic-robot-statemachine (1.1.2-1xenial) xenial; urgency=high



 -- marco <marco.stb1993@gmail.de>  Tue, 27 Aug 2019 22:00:00 -0000

ros-kinetic-robot-statemachine (1.1.1-1xenial) xenial; urgency=high

  * Formatting for prerelease
  * added changelogs
  * renamed statemachine into rsm and statemachine package into rsm_core
  * Delete .project
  * Delete .cproject
  * Added install commands to CMakeLists and proper description to package.xml
  * Added pretty pictures to documentation
  * Removed autonohm specific stuff from master
  * Fixed rona navigation when no path found, minor changes to exploration mode handling in Service Provider and started READMEs
  * Added package for Rona navigation to this metapackage and adjusted launch files
  * Moved Rona navigation plugin and corresponding services to it's own package
  * first commit
  * Contributors: MarcoStb1993

 -- marco <marco.stb1993@gmail.de>  Sun, 04 Aug 2019 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-robot-statemachine
Section: misc
Priority: extra
Maintainer: Marco Steinbrink <marco.stb1993@gmail.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-robot-statemachine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rsm-additions, ros-kinetic-rsm-core, ros-kinetic-rsm-msgs, ros-kinetic-rsm-rqt-plugins, ros-kinetic-rsm-rviz-plugins
Description: The robot_statemachine package bundles all functionalities and the GUI

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-robot-statemachine//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
